<template lang="pug">
BaseCard(key="opYearPeriodInfo" tabIndex="-1").highlightOnFocus
  template(v-slot:header='')
    BaseAnimationBlock
      .d-flex(key='title')
        h5 Operation Period #[span.text-muted {{ operationPeriod.year }}]
        router-link.text-dark.text-muted.clickable.ml-1(to='/admin/operationPeriods')
          .fa.fa-caret-up
        .ml-auto.clickable(@click='setEdit(true)' v-if='!inEdit')
          kbd.keyHint.mr-2(v-if="showKeyHints") E
          i.fa.fa-cog
        .ml-auto.clickable(@click='setEdit(false)' v-if='inEdit')
          kbd.keyHint.mr-2(v-if="showKeyHints") Esc
          i.fa.fa-times
  li(key='edit')
    .row.b-param-container.justify-content-center
      BaseParamReadonly.col-12.col-md-8(title='Operation Year'
        :inEdit='inEdit' :value='operationPeriod.year')
    .row.b-param-container.justify-content-center
      BaseParamDate.col-12.col-md-8(ref='start' title='Start Date'
        :inEdit='inEdit' :timestamp='operationPeriod.start / 1000'
        @edit="checkStartDate()")
    .row.b-param-container.justify-content-center
      BaseParamDate.col-12.col-md-8(ref='stop' title='Stop Date'
        :inEdit='inEdit' :timestamp='operationPeriod.stop / 1000'
        @edit="checkStopDate()")
    .row.b-param-container.justify-content-center
      BaseParamInput.col-12.col-md-8(ref='weeks' title='Number of Weeks'
        :inEdit='inEdit' :value='nOperationWeeks' type="number")
  li(v-if='processing' key='processing')
    .row.justify-content-center
      i.align-bottom.fa.fa-spinner.fa-pulse
  li(v-if='inEdit && !processing' key='submit')
    .d-flex.justify-content-end
      button.btn.btn-outline-primary.mx-1.x-asso(@click="doAssociations()" title='Prepare User-Institute Associations')
          i.fa.fa-copy.mr-1
          | Associations
      button.btn.btn-outline-primary.mx-1.x-shifts(@click="doGenerateShifts()" title='Generate Shifts Slots')
          i.fa.fa-cogs.mr-1
          | Shifts
      button.btn.btn-primary.mx-1.x-submit(@click="doSubmit()" :disabled="disableSubmit")
        kbd.keyHint.mr-2(v-if="showKeyHints") Ctrl+S
        i.fa.fa-upload.mr-1(v-else)
        | Submit
</template>
<script>

export { default } from './OperationPeriodInfo.vue.js';

</script>
